@charset "utf-8";

$primary-color: #1CACC6;
$secondary-color: #63CBD0;
$dark-color: #323232;
$sub-dark-color: #6C6C6C;
$light-color: #ffffff;
$danger-color: #DE6868;
$background-color: #F3F3F3;

::-WebKit-scrollbar {
  //-WebKit-appearance: none;
}

::-WebKit-scrollbar-thumb {
  border-radius: 4px;
  background-color: rgba(0, 0, 0, .5);
  -WebKit-box-shadow: 0 0 1px rgba(255, 255, 255, .5);
}

::-webkit-scrollbar:horizontal {
  height: 5px;
}

a {
  text-decoration: none;
}

header {
  height: 42px;
  width: 100%;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1;

  .header-toolbar {
    background-color: #01ACC8;
    height: 42px;
  }
}

#spinner {
  position: absolute;
  z-index: 99;
  width: 80px;
  left: 42%;
  top: 40%;
}

md-switch {
  margin-right: 0;
  .md-bar {
    background-color: $sub-dark-color;
    border: 1px solid;
    border-color: gainsboro;
  }

  &.md-checked {
    .md-thumb {
      background-color: #ffffff;
    }
    .md-bar {
      background-color: $primary-color;
    }
  }
}

#content-container {
  position: absolute;
  top: 42px;
  bottom: 0;
  left: 0;
  right: 0;
  overflow-y: auto; /* has to be scroll, not auto */
  -webkit-overflow-scrolling: touch;
}

ul {
  list-style: none;
  padding-bottom: 0 !important;
  padding-top: 0 !important;
  margin-top: 0 !important;
  margin-bottom: 0 !important;
}

h4 {
  &.title {
    font-size: 15px;
  }
}

h5 {
  &.subtitle {
    font-size: 11px;
  }
}

.secual-hidden {
  display: none;
}

/* Icons */

.secual-icon {
  font-size: 28px;
  color: $secondary-color; /* by default */
}

.secual-icon-flex {
  display: flex;
}

.secual-icon-space-right {
  margin-right: 10px;
}

.secual-icon-bordered {
  border: 2px solid #63CBD0;
  border-radius: 50%;
  padding: 1px;
}

.secual-icon-bordered-white {
  border: 2px solid $light-color;
  border-radius: 50%;
  padding: 1px;
}

.secual-icon-bordered-extra {
  padding: 2px;
}

.secual-icon-large {
  font-size: 32px;
}

.secual-icon-extra-large {
  font-size: 60px;
}

/* Colors */

.secual-sub-dark-color {
  color: $sub-dark-color;
}

.secual-light-color {
  color: $light-color;
}

.secual-success-color {
  color: #68DE82;
}

.secual-warning-color {
  color: #FFBA61;
}

.secual-dark-color {
  color: $dark-color;
}

.secual-primary-color {
  color: $primary-color;
}

.secual-secondary-color {
  color: $secondary-color;
}

.secual-background-color {
  color: $background-color;
}

.secual-danger-color {
  color: $danger-color;
}

/* Badges */

.secual-badge {
  height: 20px;
  background-color: $primary-color;
  font-size: 12px;
  color: $light-color;
  line-height: 20px;
  border-radius: 10px;
  padding: 0 12px;
  text-align: center;
  font-weight: bold;
}

.secual-badge-large {
  height: 24px;
  padding: 2px 12px;
}

/* List text */

.secual-sub-dark-text {
  color: $sub-dark-color;
}

.list-header-text {
  font-weight: bold;
  font-size: 13px;
  line-height: 24px;
  margin: 0;
  padding: 0 12px;
}

.list-title-text {
  font-size: 15px;
  line-height: 16px;
}

.list-subtitle-text {
  font-size: 11px;
  line-height: 16px;
}

.secual-row-icon-text {
  font-size: 15px;
  line-height: 15px;
}

/* Lists  */
.secual-list-info {
  flex-grow: 1;
  width: 75%;
  padding-left: 10px;
}

.secual-list-item {
  padding: 0px !important;
  min-height: 70px;
}

.secual-list-devider {
  border-bottom: 1px solid $sub-dark-color;
}

/* Buttons */
.secual-button {
  margin: 0;
  border-radius: 4px;
  min-width: 100px;
  font-size: 13px;
  border: 1px solid $dark-color;
  height: 28px;
  background-color: transparent;
  text-align: center;
  //padding:12px;
}

.secual-button-wrapper {
  margin: 0 auto;
  text-align: center;
}

.secual-button-primary {
  color: $primary-color;
  border: 1px solid $primary-color;
}

.secual-button-primary-filled {
  color: $light-color;
  border: 1px solid $primary-color;
  background-color: $primary-color;
}

.secual-button-danger {
  color: $danger-color;
  border: 1px solid $danger-color;
}

.secual-button-danger-filled {
  color: $light-color;
  border: 1px solid $danger-color;
  background-color: $danger-color;
}

/* Input text */
input {
  width: 80%;
  padding: 5px;
  outline: none;
  font-size: 15px;
  color: $dark-color;

  &.editable {
    border: 0;
  }
}

.label-editable {
  font-size: 15px;
  padding: 5px;
  width: 80%;
  float: left;
}

/* explanation text */
.secual-explanation-text {
  color: $sub-dark-color;
  font-size: 11px;
  width: 100%;
  text-align: center;
}

.secual-explanation-text-wrapper {
  padding: 10px 0;
  width: 80%;
}

body {

  background-color: #F3F3F3;

  .body {
    padding: 0;
    background-color: #62D0DF;
    text-align: center;
    color: white;
    height: 100%;

    &.white {
      background-color: white;
    }

    > div {
      padding: 40px 0;
      padding-bottom: 10px;
      &.unlock-container {
        padding: 0;
      }
    }

    .locked-unlocked-img {
      height: 40%;
      width: 40%;
      margin-top: 25px;
      margin-bottom: 25px;
      min-width: 275px;
      min-height: 275px;
      opacity: 1;
      -webkit-transition: opacity 2s; /* For Safari 3.1 to 6.0 */
      transition: opacity 2s;

      &.smooth-hide {
        -webkit-transition: opacity 2s; /* For Safari 3.1 to 6.0 */
        transition: opacity 2s;
        opacity: 0;

      }
    }

    .unlock-container {
      width: 55%;
      margin: 0 auto;
      margin-bottom: 50px;
      margin-top: 10px;
    }
  }

  .no-select {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
  }

  .no-padding {
    padding: 0;
  }

  .default-width {
    width: 100%;
    max-width: 640px;
    padding: 10px;
    margin: auto;
  }

  .view_transition_forward {
    .ng-animate {
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      min-height: 500px;
    }

    .ng-enter, .ng-leave, .record.ng-anchor {
      transition: 0.5s linear all;
    }
    .ng-enter {
      transform: translateX(100%);
    }
    .ng-enter.ng-enter-active, .ng-leave {
      transform: translateX(0%);
    }
    .ng-leave.ng-leave-active {
      transform: translateX(-100%);
    }
  }

  .view_transition_backward {
    .ng-animate {
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      min-height: 500px;
    }

    .ng-enter, .ng-leave, .record.ng-anchor {
      transition: 0.5s linear all;
    }
    .ng-enter {
      transform: translateX(-100%);
    }
    .ng-enter.ng-enter-active, .ng-leave {
      transform: translateX(0%);
    }
    .ng-leave.ng-leave-active {
      transform: translateX(100%);
    }
  }
}

/* Mixins */
@mixin va-middle($position: relative) {
  position: $position;
  top: 50%;
  -webkit-transform: translateY(-50%);
  -moz-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
}

@mixin border-radius($px: 5px) {
  -webkit-border-radius: $px;
  -moz-border-radius: $px;
  -ms-border-radius: $px;
  border-radius: $px;
}

@media(min-width: 992px) {

  .unlock-text {

    color: #62D0DF;
    font-size: 36px;
    text-decoration: none;
    display: inline-block;

    span {
      display: table-cell;
      vertical-align: middle;
      float: left;
      margin-top: 0px;
      margin-left: 10px;

      &.white {
        color: #fff

      }
    }

    img {
      float: left;
      width: 13%;
      height: 13%;

    }

  }
}

.nonDraggableImage {
  -webkit-user-drag: none;
}

@media(min-width: 320px) {
  .unlock-text {

    color: #62D0DF;
    font-size: 30px;
    text-decoration: none;
    display: inline-block;

    span {
      display: table-cell;
      vertical-align: middle;
      float: left;
      margin-top: 0px;
      margin-left: 10px;

      &.white {
        color: #fff
      }
    }

    img {
      float: left;
      width: 13%;
      height: 13%;
      min-width: 40px;
      min-height: 40px;
    }

  }
}

@media(min-width: 640px) {
  .unlock-text {

    color: #62D0DF;
    font-size: 30px;
    text-decoration: none;
    display: inline-block;

    span {
      display: table-cell;
      vertical-align: middle;
      float: left;
      margin-top: 0px;
      margin-left: 10px;

      &.white {
        color: #fff
      }
    }

    img {
      float: left;
      width: 13%;
      height: 13%;
      min-width: 40px;
      min-height: 40px;
    }

  }
}

@media(min-width: 768px) {
  .unlock-text {

    color: #62D0DF;
    font-size: 36px;
    text-decoration: none;
    display: inline-block;

    span {
      display: table-cell;
      vertical-align: middle;
      float: left;
      margin-top: 0px;
      margin-left: 10px;

      &.white {
        color: #fff
      }
    }

    img {
      float: left;
      width: 13%;
      height: 13%;
    }

  }
}

